#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global optflags %{optflags} -flto=auto
%global ldflags %{ldflags} -flto

%define rel 1

Name:           kio-gdrive
Version: 24.08.0
Release:        %mkrel %{rel}
Summary:        KIO Slave to access Google Drive
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://community.kde.org/KIO_GDrive
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KPim6GAPI) >= 5.240
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KAccounts6) >= 24.01
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  intltool

# (mga#25441)
Requires:       kaccounts-integration
Requires:       purpose

Recommends:     %{name}-handbook

%description
KIO Slave to access Google Drive service.

%files -f kio5_gdrive.lang
%doc README.md HACKING
%license COPYING
%{_kf6_plugindir}/kio/gdrive.so
%{_kf6_plugindir}/kfileitemaction/gdrivecontextmenuaction.so
%{_kf6_plugindir}/propertiesdialog/gdrivepropertiesplugin.so
%{_kf6_plugindir}/purpose/purpose_gdrive.so
%{_qt6_plugindir}/kaccounts/daemonplugins/gdrive.so
%{_kf6_datadir}/remoteview/gdrive-network.desktop
%{_kf6_datadir}/accounts/services/kde/google-drive.service
%{_kf6_datadir}/purpose/purpose_gdrive_config.qml
%{_kf6_metainfodir}/org.kde.kio_gdrive.metainfo.xml
%{_kf6_knotificationsdir}/gdrive.notifyrc

#--------------------------------------------------------------------

%package        handbook
Summary:        Kio-gdrive Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides Kio-gdrive handbook.

%files handbook
%{_kf6_docdir}/HTML/*/kioslave5/gdrive/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6 \
     -DBUILD_WITH_QT6:BOOL=ON \
     -DCMAKE_AR=%{_bindir}/gcc-ar \
     -DCMAKE_RANLIB=%{_bindir}/gcc-ranlib \
     -DCMAKE_NM=%{_bindir}/gcc-nm

%cmake_build

%install
%cmake_install

%find_lang kio5_gdrive


%changelog
* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087615
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085111
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073218
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069864
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058622
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045162
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037660
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033787
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2027255
- New version 24.01.85

* Thu Nov 23 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2009293
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989607
- New version 23.08.1

* Mon May 29 2023 daviddavid <daviddavid> 23.04.1-3.mga9
+ Revision: 1959640
- rebuild in Core/release

* Mon May 29 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1959605
- rebuild against current kde apps stack

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958184
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946496
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941789
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922910
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911404
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905256
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886776
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880762
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873072
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853965
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849471
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763855
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724064
- New version 21.04.1

* Sun Apr 25 2021 daviddavid <daviddavid> 21.04.0-2.mga9
+ Revision: 1719362
- enable KF5Purpose support

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718351
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698548
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694080
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656996
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643996
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633812
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627054
- New version 20.08.1

* Wed Aug 19 2020 daviddavid <daviddavid> 20.08.0-1.mga8
+ Revision: 1615665
- New version 20.08.0 (says hello kio-gdrive to release-service stack)

* Tue Jul 14 2020 daviddavid <daviddavid> 1.3.0-2.mga8
+ Revision: 1605847
- rebuild for new kaccounts-integration

* Tue Apr 21 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1570273
- new version: 1.3.0

* Mon Feb 17 2020 umeabot <umeabot> 1.2.7-4.mga8
+ Revision: 1537758
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Nov 08 2019 daviddavid <daviddavid> 1.2.7-3.mga8
+ Revision: 1458791
- enable LTO

* Fri Oct 04 2019 daviddavid <daviddavid> 1.2.7-2.mga8
+ Revision: 1449262
- add missing dependency on kaccounts-integration (mga#25441)
- Qt5Keychain is no more needed (replace by KAccounts)

* Mon Aug 26 2019 daviddavid <daviddavid> 1.2.7-1.mga8
+ Revision: 1432439
- new version: 1.2.7

* Mon May 20 2019 daviddavid <daviddavid> 1.2.6-1.mga7
+ Revision: 1398623
- new version: 1.2.6

* Sat Mar 30 2019 umeabot <umeabot> 1.2.5-2.mga7
+ Revision: 1382510
- Qt5 Rebuild

* Mon Oct 22 2018 daviddavid <daviddavid> 1.2.5-1.mga7
+ Revision: 1323514
- new version: 1.2.5

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-2.mga7
+ Revision: 1298557
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1241066
- new version: 1.2.4

* Mon Apr 23 2018 daviddavid <daviddavid> 1.2.3-1.mga7
+ Revision: 1221366
- new version: 1.2.3

* Sat Mar 31 2018 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1213751
- new version: 1.2.2

* Sat Jan 13 2018 daviddavid <daviddavid> 1.2.1-2.mga7
+ Revision: 1192511
- add missing BR on cmake(KF5Notifications)
- add missing BR on cmake(KF5DocTools)

* Wed Oct 04 2017 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1168126
- new version: 1.2.1

* Fri Jul 28 2017 daviddavid <daviddavid> 1.2.0.1-1.mga7
+ Revision: 1131612
- new version: 1.2.0.1

* Thu Feb 16 2017 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 1086465
- new version: 1.1.1

* Fri Jan 27 2017 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 1083588
- new version: 1.1.0
- add subpackage kio-gdrive-handbook

* Fri Jan 13 2017 daviddavid <daviddavid> 1.0.5-1.mga6
+ Revision: 1081492
- new version: 1.0.5

* Sat Nov 12 2016 daviddavid <daviddavid> 1.0.4-1.mga6
+ Revision: 1066633
- new version: 1.0.4

* Sat Oct 15 2016 daviddavid <daviddavid> 1.0.3-1.mga6
+ Revision: 1060840
- new version: 1.0.3

* Fri Oct 07 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1059314
- new version: 1.0.2 Final

* Sat Sep 24 2016 daviddavid <daviddavid> 0.9.90-1.mga6
+ Revision: 1055673
- new version: 0.9.90

* Fri Sep 09 2016 daviddavid <daviddavid> 0.9.81-1.mga6
+ Revision: 1050997
- initial package kio-gdrive

